Skip to main content

cmind/ragmanager/v1/rag_quota_service.proto

Package: cmind.ragmanager.v1

Messages

SetQuotaRequest

FieldTypeNumberDescription
idstring1
tenantIdstring2
quotastring4Quota as a Kubernetes Quantity (for example, "1Gi", "500Mi"). No unit means bytes.

SetQuotaResponse

GetQuotaRequest

FieldTypeNumberDescription
idstring1
tenantIdstring2

GetQuotaResponse

FieldTypeNumberDescription
idstring1
tenantIdstring2
quotaBytesoptional int643
usedBytesint644
quotaoptional string5Quota as a Kubernetes Quantity (for example, "1Gi", "500Mi"). No unit means bytes.

UnsetQuotaRequest

FieldTypeNumberDescription
idstring1
tenantIdstring2

UnsetQuotaResponse

SetTenantQuotaRequest

FieldTypeNumberDescription
tenantIdstring1
quotastring3Quota as a Kubernetes Quantity (for example, "1Gi", "500Mi"). No unit means bytes.

SetTenantQuotaResponse

GetTenantQuotaRequest

FieldTypeNumberDescription
tenantIdstring1

GetTenantQuotaResponse

FieldTypeNumberDescription
tenantIdstring1
quotaBytesoptional int642
quotaoptional string3Quota as a Kubernetes Quantity (for example, "1Gi", "500Mi"). No unit means bytes.

UnsetTenantQuotaRequest

FieldTypeNumberDescription
tenantIdstring1

UnsetTenantQuotaResponse

SetDefaultQuotaRequest

FieldTypeNumberDescription
tenantIdstring1
defaultQuotastring3Default quota as a Kubernetes Quantity (for example, "1Gi", "500Mi"). No unit means bytes.

SetDefaultQuotaResponse

GetDefaultQuotaRequest

FieldTypeNumberDescription
tenantIdstring1

GetDefaultQuotaResponse

FieldTypeNumberDescription
tenantIdstring1
defaultQuotaBytesoptional int642
defaultQuotaoptional string3Default quota as a Kubernetes Quantity (for example, "1Gi", "500Mi"). No unit means bytes.

UnsetDefaultQuotaRequest

FieldTypeNumberDescription
tenantIdstring1

UnsetDefaultQuotaResponse

GetTenantUsageRequest

FieldTypeNumberDescription
tenantIdstring1

ServiceUsage

FieldTypeNumberDescription
idstring1
tenantIdstring2
quotaBytesoptional int643
usedBytesint644
quotaoptional string5Quota as a Kubernetes Quantity (for example, "1Gi", "500Mi"). No unit means bytes.

GetTenantUsageResponse

FieldTypeNumberDescription
servicesrepeated ServiceUsage1
tenantQuotaBytesoptional int642
tenantTotalUsedBytesint643
tenantQuotaoptional string4Tenant quota as a Kubernetes Quantity (for example, "1Gi", "500Mi"). No unit means bytes.

ListTenantsUsageRequest

TenantUsageSummary

FieldTypeNumberDescription
tenantIdstring1
tenantNamestring2
serviceCountint323
totalUsedBytesint644
tenantQuotaBytesoptional int645
tenantQuotaoptional string6Tenant quota as a Kubernetes Quantity (for example, "1Gi", "500Mi"). No unit means bytes.

ListTenantsUsageResponse

FieldTypeNumberDescription
tenantsrepeated TenantUsageSummary1

BatchSetQuotaRequest

FieldTypeNumberDescription
quotastring1Quota as a Kubernetes Quantity (for example, "1Gi", "500Mi"). No unit means bytes.
tenantIdstring2
idsrepeated string3

BatchSetQuotaResponse

BatchUnsetQuotaRequest

FieldTypeNumberDescription
tenantIdstring1
idsrepeated string2

BatchUnsetQuotaResponse

Services

RagQuotaService

SetQuota

POST /cmind.ragmanager.v1.RagQuotaService/SetQuota

Request: SetQuotaRequest

Response: SetQuotaResponse

GetQuota

GET /cmind.ragmanager.v1.RagQuotaService/GetQuota

Request: GetQuotaRequest

Response: GetQuotaResponse

UnsetQuota

POST /cmind.ragmanager.v1.RagQuotaService/UnsetQuota

Request: UnsetQuotaRequest

Response: UnsetQuotaResponse

SetTenantQuota

POST /cmind.ragmanager.v1.RagQuotaService/SetTenantQuota

Request: SetTenantQuotaRequest

Response: SetTenantQuotaResponse

GetTenantQuota

GET /cmind.ragmanager.v1.RagQuotaService/GetTenantQuota

Request: GetTenantQuotaRequest

Response: GetTenantQuotaResponse

UnsetTenantQuota

POST /cmind.ragmanager.v1.RagQuotaService/UnsetTenantQuota

Request: UnsetTenantQuotaRequest

Response: UnsetTenantQuotaResponse

BatchSetQuota

POST /cmind.ragmanager.v1.RagQuotaService/BatchSetQuota

Request: BatchSetQuotaRequest

Response: BatchSetQuotaResponse

BatchUnsetQuota

POST /cmind.ragmanager.v1.RagQuotaService/BatchUnsetQuota

Request: BatchUnsetQuotaRequest

Response: BatchUnsetQuotaResponse

SetDefaultQuota

POST /cmind.ragmanager.v1.RagQuotaService/SetDefaultQuota

Request: SetDefaultQuotaRequest

Response: SetDefaultQuotaResponse

GetDefaultQuota

GET /cmind.ragmanager.v1.RagQuotaService/GetDefaultQuota

Request: GetDefaultQuotaRequest

Response: GetDefaultQuotaResponse

UnsetDefaultQuota

POST /cmind.ragmanager.v1.RagQuotaService/UnsetDefaultQuota

Request: UnsetDefaultQuotaRequest

Response: UnsetDefaultQuotaResponse

GetTenantUsage

GET /cmind.ragmanager.v1.RagQuotaService/GetTenantUsage

Request: GetTenantUsageRequest

Response: GetTenantUsageResponse

ListTenantsUsage

GET /cmind.ragmanager.v1.RagQuotaService/ListTenantsUsage

Request: ListTenantsUsageRequest

Response: ListTenantsUsageResponse